org.apache.fop.render.afp.exceptions

## Class RendererRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.fop.render.afp.exceptions.NestedRuntimeException
        - - org.apache.fop.render.afp.exceptions.RendererRuntimeException

- All Implemented Interfaces:
    java.io.Serializable

      public class RendererRuntimeException
      extends NestedRuntimeException

  A runtime exception for handling fatal errors in rendering.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RendererRuntimeException(java.lang.String msg)` Constructs a RendererRuntimeException with the specified message.
    `RendererRuntimeException(java.lang.String msg, java.lang.Throwable t)` Constructs a RendererRuntimeException with the specified message wrapping the underlying exception.

  - ### Method Summary

    - ### Methods inherited from class org.apache.fop.render.afp.exceptions.NestedRuntimeException

      `getMessage, getUnderlyingException, printStackTrace, printStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RendererRuntimeException

          public RendererRuntimeException(java.lang.String msg)

      Constructs a RendererRuntimeException with the specified message.
      Parameters:
        `msg` - the exception mesaage

    - #### RendererRuntimeException

          public RendererRuntimeException(java.lang.String msg,
                                  java.lang.Throwable t)

      Constructs a RendererRuntimeException with the specified message wrapping the underlying exception.
      Parameters:
        `msg` - the exception mesaage
        `t` - the underlying exception

Copyright 1999-2019 The Apache Software Foundation. All Rights Reserved.